Subject: Re: [PATCH][RFC/v1][11/12] Add InfiniBand Documentation files

From: Roland Dreier <[email-masked]>
Date: Mon, 22 Nov 2004 07:41:47 -0800

Christoph> Any reason this doesn't use an interface similar to the
    Christoph> normal vlan code?

The normal vlan code uses an ioctl().  I thought a simple sysfs
interface would be more palatable than a new socket ioctl.

    Christoph> And what is a P_Key?

It is a 16-bit identifier carried by IB packets that says which
partition the packet is in.  End ports have P_Key tables that list
which partitions they are members of (a port can be a member of one or
more partitions, and can only receive packets from that partition).

 - Roland